/*
 * Experimental Connected Vehicle API
 * An experimental Connected Vehicle API that allows to request vehicle data and to send commands to the virtual car simulator.
 *
 * OpenAPI spec version: 1.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.swagger.client.api;

import io.swagger.client.ApiException;
import io.swagger.client.model.ErrorResponse;
import io.swagger.client.model.FuelLevel;
import org.junit.Test;
import org.junit.Ignore;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * API tests for FuelApi
 */
@Ignore
public class FuelApiTest {

    private final FuelApi api = new FuelApi();

    
    /**
     * Returns the current fuel level.
     *
     * Provides information about the current fuel level.
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void getFuelLevelTest() throws ApiException {
        String vehicleId = null;
        FuelLevel response = api.getFuelLevel(vehicleId);

        // TODO: test validations
    }
    
}
